<h1>{{titulo}}</h1>

<table>
    <thead>
    <tr>
        <th>ID</th>
        <th>Nome</th>
        <th>Telefone</th>
        <th>CPF</th>
        <th>Endereço</th>
        <th>E-mail</th>
        <th>Editar</th>
        <th>Excluir</th>
    </tr>
    </thead>
    
    <tbody>
        <tr *ngFor="let destinatario of destinatarios; let i = index;">
            <td>{{ destinatario.id }}</td>        
            <td>{{ destinatario.nome }}</td> 
            <td>{{ destinatario.telefone }}</td>        
            <td>{{ destinatario.cpf }}</td>        
            <td>{{ destinatario.endereco }}</td>        
            <td>{{ destinatario.email }}</td> 
            <td><a (click)="editar(destinatario.id);">Editar</a></td>
            <td><a (click)="excluir(destinatario.id, i);">Excluir</a></td>
        </tr>
        <tr>
            <td colspan="10" style="text-align: right;">Total de Registros: {{ destinatarios.length }}</td> 
        </tr>
    </tbody>
</table>